//: # Effects Processing Playgrounds
//:
//: ## "Analog Synth X" Example Project
//:
//: AudioKit is shipped with an awesome synth example project and the following
//: playgrounds are where we developed and tested out the effects for that synth.
//:
//: * [Fatten Effect](Fatten%20Effect)
//: * [Filter Section](Filter%20Section%20Example)
//: * [Muli-tap Delay](Multi-tap%20Delay)
//: * [MultiDelay](MultiDelay%20Example)
//:
//: ## Nodes
//:
//: ### Delays
//:
//: Delay is a lot more powerful than simply repeating an earlier sound.
//: By varying parameters, you can get startlingly beautiful effects.
//:
//: * [Smooth Delay](Smooth%20Delay)
//:
//: ### Distortion
//:
//: Distortion is a category for nodes that do more than just filter a sound,
//: and basically change something essential to the sound, usually making for a
//: harsher sound, but that's a matter of taste.
//:
//: * [Decimator](Decimator)
//: * [Distortion](Distortion)
//: * [Ring Modulator](Ring%20Modulator)
//:
//: ### Dynamics Processing
//:
//: Dynamics processing is usually done at the mixing stage and involves
//: changing the signal's output levels.
//:
//: * [Compressor](Compressor)
//: * [Dynamics Processor](Dynamics%20Processor)
//: * [Expander](Expander)
//: * [Peak Limiter](Peak%20Limiter)
//:
//: ### Pitch Shifting
//:
//: * [Pitch Shifter Operation](Pitch%20Shifter%20Operation)
//:
//: ### Reverb
//:
//: These are the more traditional reverb efffects.
//:
//: * [Simple Reverb](Reverb)
//: * iOS-only Reverb - appears in the iOS Development Playground
//:
//: Convolution is included here because it often used for reverb effects, but it can do a lot more.
//:
//: * [Convolution](Convolution)
//:
//: ### Other
//:
//: * [Graphic Equalizer](Graphic%20Equalizer)
//:
//: ## Operations
//:
//: Many of the types of things you can do in nodes are also possible with operations,
//: but with great flexibility in how the parameters are changed over time.
//:
//: * [Variable Delay](Variable%20Delay%20Operation)
//:
//: ### Sporth
//:
//: Sporth is a simple but super-powerful stack-based audio processing language
//: that you can run directly in AudioKit.
//:
//: * [Sporth Based Effect](Sporth%20Based%20Effect)
//:
